Errors on upgrade CyberPanel — CyberPanel - WebHosting Control Panel for OpenLiteSpeed
CyberHosting

Errors on upgrade CyberPanel

Hi,

I upgraded the CP on my Ubuntu 18.04 server. The CP is now sends "ERR_CONNECTION_REFUSED" error message on browser.

I tried several times agin the upgrade but ot didn't help.

I received the following error messages during the upgrade (slightly abbreviated):

[06.04.2020_09-55-16] [Errno 2] No such file or directory: '/usr/local/CyberCP/public/rainloop/rainloop/v/1.12.1/include.php' [downoad_and_install_raindloop]
[06.04.2020_09-55-16] Starting LSCPD installation..
[06.04.2020_09-55-16]
cp: cannot stat '/usr/local/CyberCP/lscpd-0.2.5': No such file or directory
[06.04.2020_09-55-16] cp -f /usr/local/CyberCP/lscpd-0.2.5 /usr/local/lscp/bin/lscpd-0.2.5 failed, trying again, try number: 1
[06.04.2020_09-55-16] rm -f /usr/local/lscp/bin/lscpd successful.
[06.04.2020_09-55-16]
mv: cannot stat '/usr/local/lscp/bin/lscpd-0.2.5': No such file or directory
[06.04.2020_09-55-16] LSCPD Download. failed, trying again, try number: 1
[06.04.2020_09-55-16]
chmod: cannot access '/usr/local/lscp/bin/lscpd': No such file or directory
[06.04.2020_09-55-16] LSCPD Download. failed.
[06.04.2020_09-55-16]
Unknown option: m
[06.04.2020_09-55-17] daemon-reload LSCPD successful.
[06.04.2020_09-55-17] Restart LSCPD failed, trying again, try number: 1
Job for lscpd.service failed because the control process exited with error code.
See "systemctl status lscpd.service" and "journalctl -xe" for details.
[06.04.2020_09-55-17] Restart LSCPD failed.
[06.04.2020_09-55-17] LSCPD successfully installed!
[06.04.2020_09-55-18] python manage.py makemigrations failed, trying again, try number: 1
[06.04.2020_09-55-19] python manage.py makemigrations failed.
[06.04.2020_09-55-19] /usr/local/CyberPanel/bin/python manage.py migrate failed, trying again, try number: 1
[06.04.2020_07-56-12] chmod +x /usr/local/CyberCP/plogical/renew.py failed.
[06.04.2020_07-56-12] Start LSCPD failed, trying again, try number: 1
[06.04.2020_07-56-12] Start LSCPD failed.
[06.04.2020_07-56-12]
Failed to start cpssh.service: Unit cpssh.service not found.
[06.04.2020_07-56-12] fix csf if there failed.
[06.04.2020_07-56-12]
[Thu Jun 4 07:56:12 UTC 2020] Already uptodate!
[Thu Jun 4 07:56:12 UTC 2020] Upgrade success!

Please help!
Thank You!

Comments

  • @hennaboy official command: https://cyberpanel.net/docs/upgrading-cyberpanel/
  • The solution was that the starting base was too old. After I upgrading to 1.9.4 then to 1.9.5 then to 2.0.0, and finally to 2.0.1, the issue was resolved.
    Thanks for trying to help!
Sign In or Register to comment.
CyberPanel Discord

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion